
   
%cuis the rrdir = fullfile(rootPath,'test/Smlk/+inspcStimuli/+stimuli')   %the path from simulink currdir.
%cd(currdir);

%%Fills the array of test cases
clear testcases;
ix = 1;

testcases{ix, 1} = ' -u:mid2 -u:low2 -u:ramp -u:Filter_1 -u:x'; ix = ix +1; 
testcases{ix, 1} = ' -u:mid2 -u:midup -u:ramp -u:Filter_1 -u:x'; ix = ix +1; 
testcases{ix, 1} = ' -u:mid2 -u:high2 -u:ramp -u:Filter_1 -u:x'; ix = ix +1; 
testcases{ix, 1} = ' -u:mid2 -u:low2 -u:midSpline -u:Filter_1 -u:x'; ix = ix +1; 
testcases{ix, 1} = ' -u:mid2 -u:midup -u:midSpline -u:Filter_1 -u:x'; ix = ix +1; 
testcases{ix, 1} = ' -u:mid2 -u:high2 -u:midSpline -u:Filter_1 -u:x'; ix = ix +1; 
   

for ix = 1 : size(testcases)
  disp('====================== Prepare Simuli file =========================');
  args = testcases{ix};  %curly braces
    %The next script generates the stimuli file.m with the given args using this script too
    cmd = strcat('test\Smlk\+inspcStimuli\+stimuli\createStimuli.jzT.cmd', args);
    disp(cmd);
    system(cmd);                            %generates genStimuli.m
    disp('====================== START Simulation ==========================');
    sim('+inspcStimuli/TestInspcStimuliMdl.mdl');
    
end    
